% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/TaxaNorm-package.R
\docType{package}
\name{TaxaNorm-package}
\alias{TaxaNorm}
\alias{TaxaNorm-package}
\title{TaxaNorm: Feature-Wise Normalization for Microbiome Sequencing Data}
\description{
A novel feature-wise normalization method based on a zero-inflated negative binomial model. This method assumes that the effects of sequencing depth vary for each taxon on their mean and also incorporates a rational link of zero probability and taxon dispersion as a function of sequencing depth. Ziyue Wang, Dillon Lloyd, Shanshan Zhao, Alison Motsinger-Reif (2023) <arXiv:https://www.biorxiv.org/content/10.1101/2023.10.31.563648v1.abstract>.
}
\seealso{
Useful links:
\itemize{
  \item \url{https://github.com/wangziyue57/TaxaNorm}
  \item Report bugs at \url{https://github.com/wangziyue57/TaxaNorm/issues}
}

}
\author{
\strong{Maintainer}: Dillon Lloyd \email{dtlloyd@ncsu.edu} [copyright holder]

Authors:
\itemize{
  \item Ziyue Wang \email{wangziyue57@gmail.com}
  \item Shanshan Zhao \email{shanshan.zhao@nih.gov} [contributor]
  \item Alison Motsinger-Reif \email{alison.motsinger-reif@nih.gov} [contributor]
}

}
\keyword{internal}
